Cyberduck Mountain Duck CLI

#7699 closed enhancement (wontfix)

Create hard links

Reported by: edvard taugbøl hasseldal Owned by: dkocher
Priority: low Milestone:
Component: sftp Version: 4.4.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Cyberduck has the ability to create symlinks, but if you need to have a large file in two or more different places, like movie files on a NAS server, where later you'd like to delete one of them, a hardlink is more useful. There are no FTP clients that I know of as of today that allows the creation of hardlinks, the alternative is to manually create them over SSH. However doing so in a client like Cyberduck would be much easier and faster.

Change History (4)

comment:1 Changed on Dec 27, 2013 at 7:51:05 PM by dkocher

  • Priority changed from normal to low
10. sftp: Extension request "hardlink@openssh.com"

This request is for creating a hard link to a regular file. This
request is implemented as a SSH_FXP_EXTENDED request with the
following format:

	uint32		id
	string		"hardlink@openssh.com"
	string		oldpath
	string		newpath

On receiving this request the server will perform the operation
link(oldpath, newpath) and will respond with a SSH_FXP_STATUS message.
This extension is advertised in the SSH_FXP_VERSION hello with version
"1".

comment:2 Changed on Apr 11, 2014 at 11:01:08 AM by dkocher

  • Summary changed from Ability to create hard links to Create hard links
  • Version set to 4.4.3

In r110.

comment:3 Changed on Apr 25, 2014 at 1:46:05 PM by dkocher

We are dependent on Bug 2227 in OpenSSH.

comment:4 Changed on Feb 18, 2015 at 1:43:56 PM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.